GNU logs - #25550, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#25550: Apparent unicode bug in uniq 8.26
Resent-From: David Loyall <david.loyall@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 26 Jan 2017 23:14:02 +0000
Resent-Message-ID: <handler.25550.B.148547239212037 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 25550
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 25550 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.148547239212037
          (code B ref -1); Thu, 26 Jan 2017 23:14:02 +0000
Received: (at submit) by debbugs.gnu.org; 26 Jan 2017 23:13:12 +0000
Received: from localhost ([127.0.0.1]:46573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWtE8-000385-8i
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 18:13:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.loyall@HIDDEN>) id 1cWsnn-00086f-0Q
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 17:45:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david.loyall@HIDDEN>) id 1cWsnd-0000sQ-EU
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 17:45:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52180)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <david.loyall@HIDDEN>)
 id 1cWsnd-0000sM-BT
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 17:45:49 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34633)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <david.loyall@HIDDEN>) id 1cWsnY-00012L-Of
 for bug-coreutils@HIDDEN; Thu, 26 Jan 2017 17:45:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <david.loyall@HIDDEN>) id 1cWsnU-0000o6-JG
 for bug-coreutils@HIDDEN; Thu, 26 Jan 2017 17:45:44 -0500
Received: from mail-qt0-x22a.google.com ([2607:f8b0:400d:c0d::22a]:34778)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <david.loyall@HIDDEN>)
 id 1cWsnU-0000lq-D8
 for bug-coreutils@HIDDEN; Thu, 26 Jan 2017 17:45:40 -0500
Received: by mail-qt0-x22a.google.com with SMTP id w20so39639913qtb.1
 for <bug-coreutils@HIDDEN>; Thu, 26 Jan 2017 14:45:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=the-good-guys-net.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=TBaI+ECrBOBIoFf2Xn+G8g4YmQKA6GgIsP3JJ+47a5U=;
 b=nkk7k3SpMFm+zmds+UOxG6gaD8VYwedRaqLOpVpekcAnWogjMyMfAPieVBBmEaiOi8
 MZzbSE154YegS4mo00gY1msSRLj0QRFl/W1awnFG/D1qKLck8VSlLILXv6z74OusgnJg
 YWC7rt4C9mHXFJpow7yMI2kcNHL/TITqDVVZ5aReVtI6aA1gIUknCmk6ooezlIAiP6uE
 rjybRFB8JTh371X6S+C/4vDcu8DK6QA3pktwtYNfBlPkjw5t8ImskwSp/G2SW81FTwDG
 XH+TIXjOfuCqop7jKihqefo53qqgZJSgusYSCOzarMQU+8xsu7Misat/wqUD97MhVNTI
 TxKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=TBaI+ECrBOBIoFf2Xn+G8g4YmQKA6GgIsP3JJ+47a5U=;
 b=b88YqmUXfEfOdEygPzvQmJ5deAV+jRD2/Z8PhNdZ8oUieaRrIFrZxblMoP+NIzZIX5
 ovJn995H7908LgE/jigUnezhuC1U9sHAqyN7cLeQCbNqT3bXHAU09jvzxfndasYc56fg
 LbHAl37FfCwrAm4Z/yXSxJ/45EKkko5OLDI9mvAyKk74/uqG3NT50jqv1rXWuiK8xXAC
 fLGLhO7213axpWpbEfxtNVJ32CCjXT4msFjfl8MHwXlCv0EBfcpeClRP4SmINFyMYGZa
 q+9paNUPRAOyzMenmi9yhQudUsRE5gNuAwVqDrJGmU3ONaTTkFxwEvpD2nJZ79yeOrtZ
 g8YQ==
X-Gm-Message-State: AIkVDXJrESpStWuzQPSZ9sV//RjFfHyaXUVLFgtykSFdIQzsQp9OzmwY8R5nEWcCrsHJmi0rnQ6bPPxbE/0q5g==
X-Received: by 10.55.215.202 with SMTP id t71mr5907265qkt.114.1485470737603;
 Thu, 26 Jan 2017 14:45:37 -0800 (PST)
MIME-Version: 1.0
Received: by 10.200.49.72 with HTTP; Thu, 26 Jan 2017 14:45:37 -0800 (PST)
From: David Loyall <david.loyall@HIDDEN>
Date: Thu, 26 Jan 2017 16:45:37 -0600
Message-ID: <CA+4fW6nVUnw3CHMTXY9NRaewJ0v8y-Jwvm7BHBAt8fBrU6NyDg@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Mailman-Approved-At: Thu, 26 Jan 2017 18:13:11 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello.  I think I found a bug in uniq 8.26.

Here's a demo:

hobbes@metalbaby:~/e2-scratch$ cat faces_mre.txt
(=E2=97=95=E2=80=BF=E2=97=95)
(=EF=B8=BA=EF=B8=B9=EF=B8=BA)

hobbes@metalbaby:~/e2-scratch$ uniq -c faces_mre.txt
2 (=E2=97=95=E2=80=BF=E2=97=95)

Here's some background info:

hobbes@metalbaby:~/e2-scratch$ od -x faces_mre.txt
0000000 e228 9597 80e2 e2bf 9597 0a29 ef28 bab8
0000020 b8ef efb9 bab8 0a29
0000030

hobbes@metalbaby:~/e2-scratch$ locale
LANG=3Den_US.UTF-8
LANGUAGE=3D
LC_CTYPE=3D"en_US.UTF-8"
LC_NUMERIC=3D"en_US.UTF-8"
LC_TIME=3D"en_US.UTF-8"
LC_COLLATE=3D"en_US.UTF-8"
LC_MONETARY=3D"en_US.UTF-8"
LC_MESSAGES=3D"en_US.UTF-8"
LC_PAPER=3D"en_US.UTF-8"
LC_NAME=3D"en_US.UTF-8"
LC_ADDRESS=3D"en_US.UTF-8"
LC_TELEPHONE=3D"en_US.UTF-8"
LC_MEASUREMENT=3D"en_US.UTF-8"
LC_IDENTIFICATION=3D"en_US.UTF-8"
LC_ALL=3D

hobbes@metalbaby:~/e2-scratch$ uniq --version
uniq (GNU coreutils) 8.26
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by Richard M. Stallman and David MacKenzie.

The bug disappears in the C locale.

hobbes@metalbaby:~/e2-scratch$ LC_COLLATE=3Dc uniq -c faces_mre.txt
1 (=E2=97=95=E2=80=BF=E2=97=95)
1 (=EF=B8=BA=EF=B8=B9=EF=B8=BA)

I hope this helps.

Cheers,

--Dave Loyall
Omaha, Nebraska, USA




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: David Loyall <david.loyall@HIDDEN>
Subject: bug#25550: Acknowledgement (Apparent unicode bug in uniq 8.26)
Message-ID: <handler.25550.B.148547239212037.ack <at> debbugs.gnu.org>
References: <CA+4fW6nVUnw3CHMTXY9NRaewJ0v8y-Jwvm7BHBAt8fBrU6NyDg@HIDDEN>
X-Gnu-PR-Message: ack 25550
X-Gnu-PR-Package: coreutils
Reply-To: 25550 <at> debbugs.gnu.org
Date: Thu, 26 Jan 2017 23:14:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 25550 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
25550: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D25550
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#25550: Apparent unicode bug in uniq 8.26
Resent-From: Mike Frysinger <vapier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 14 Mar 2017 07:03:02 +0000
Resent-Message-ID: <handler.25550.B25550.148947493925720 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 25550
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: David Loyall <david.loyall@HIDDEN>
Cc: 25550 <at> debbugs.gnu.org
Received: via spool by 25550-submit <at> debbugs.gnu.org id=B25550.148947493925720
          (code B ref 25550); Tue, 14 Mar 2017 07:03:02 +0000
Received: (at 25550) by debbugs.gnu.org; 14 Mar 2017 07:02:19 +0000
Received: from localhost ([127.0.0.1]:54667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cngTL-0006gm-GX
	for submit <at> debbugs.gnu.org; Tue, 14 Mar 2017 03:02:19 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:34582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1cngTJ-0006gY-L2
 for 25550 <at> debbugs.gnu.org; Tue, 14 Mar 2017 03:02:18 -0400
Received: from vapier (localhost [127.0.0.1])
 by smtp.gentoo.org (Postfix) with SMTP id 414CA340806;
 Tue, 14 Mar 2017 07:02:10 +0000 (UTC)
Date: Tue, 14 Mar 2017 03:02:09 -0400
From: Mike Frysinger <vapier@HIDDEN>
Message-ID: <20170314070209.GM24205@vapier>
Mail-Followup-To: David Loyall <david.loyall@HIDDEN>,
 25550 <at> debbugs.gnu.org
References: <CA+4fW6nVUnw3CHMTXY9NRaewJ0v8y-Jwvm7BHBAt8fBrU6NyDg@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="wAI/bQb0EMvlZCHl"
Content-Disposition: inline
In-Reply-To: <CA+4fW6nVUnw3CHMTXY9NRaewJ0v8y-Jwvm7BHBAt8fBrU6NyDg@HIDDEN>
X-Spam-Score: -5.3 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


--wAI/bQb0EMvlZCHl
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline

On 26 Jan 2017 16:45, David Loyall wrote:
> Hello.  I think I found a bug in uniq 8.26.

while it is a bug, i'm pretty sure it's a bug in glibc.
coreutils relies on data glibc provides in cases like this.
-mike

--wAI/bQb0EMvlZCHl
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEuQK1JxMl+JKsJRrUQWM7n+g39YEFAljHlXAACgkQQWM7n+g3
9YH1iQ/+LQ7bjW3vDrQfTZPzAc7NYIpSoRcarXN55B5b72C4jkKbI1Z5BOHHdR20
CgGdTaOZDXrlKa3yHFE9211RMk9UVuDm1FqhP7ELnerBh0cgpLnuyFYMgjF1KayG
/aIqv2Zn5WRcxBszU05SWmdCMRSRfQJMOAEhz7nnwAuroBdGF9GdFFDfInCGoMPp
2ObfXxl9AwUM15upE3rrvBZWxRSwIQuSkP2iLxTzqJtBhtsxZ0meBRBiYCEBqLnu
tdmKbXlQWIwcoLox/MUBHCYfwXiUfDFIa90kiWXVtQ3Pmr7YFpB7yyfxaCxthZJF
+1eYC3ZbT4OjR10725HY5pjuEBA0VWyhZBjNPXQwuKmkOIyohwdK1JOimLQ/bH1v
XQ14R0YbYHbCb7/Yr6edkFatdckJqmPT6M2udaig1LUXxXLI39JkvV1mx4AQ9vNq
22zh1TtsxdGWMEl8MilY0I+aRF8hZCoBpQG4L1gG2tWb7l5w97VFNqpOQV5BzMLl
+Djn86T81ke64ctlLNfcV3uzZNpmibuOtYejZTEXsmN1Ima+2NKxcc8FZxV+ty6l
iUMCVPc1WoZnnu4NjRbH5ku7BpSRBQ3UUKuOdL8+Qzi2AWCeVRkOj4KwbqQysb+/
44vEjzLPxFb2ykUPI68iwQyl2Cntmwim6lKj3tuWLcw4nuYJQXE=
=rd3H
-----END PGP SIGNATURE-----

--wAI/bQb0EMvlZCHl--




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Oct 2018 07:57:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 03:57:06 2018
Received: from localhost ([127.0.0.1]:46558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGfwX-0000X8-PV
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 03:57:05 -0400
Received: from mail-it1-f171.google.com ([209.85.166.171]:55727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gGfwW-0000WA-G6
 for control <at> debbugs.gnu.org; Sun, 28 Oct 2018 03:57:04 -0400
Received: by mail-it1-f171.google.com with SMTP id e17so4475724itk.5
 for <control <at> debbugs.gnu.org>; Sun, 28 Oct 2018 00:57:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=dHxUVPZ1UsbXWnM+r1KTDXgRvrbj87zXu8di/9pOMcA=;
 b=rSJe+OQDEy4Z9UWeN6sYsx4Mgb/u6OCo50gLEZDa+8gXhuNLRup1aN/lxp9jk86OEU
 INa5U/fKxIjia4OJ3EpmN/7ox2Y788ssg9WW3IGSwBlHgME8wmFvuRjWvqIu3BD93exD
 fgXf3Ns8aIXrJ+kb4dAOYZ4Ke0e2D0YOh5egulWZ+In6P2mEw/HfWvKvlDfmIYQDJmV3
 sP0xNWFDtQqWRLoZ6RCmnwgokJv28CDhgqQD+p5vNKDi3YghkGDZ2NW0SfS6sKVl9Y+g
 DPTA+lUtizA9duiWii+RdOvWRtvJz1IDBUYOdJfsSlt2AKCq+axQ+PNgwEOoW7MP0GTD
 +/Dw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=dHxUVPZ1UsbXWnM+r1KTDXgRvrbj87zXu8di/9pOMcA=;
 b=ZcEWAZKGw2ReRyU717iLT/pNfNFV2rL9wlov+ng6L8tEdv9bHmpRgVwF+ynTeyaI0l
 N2ShkPQu6CARqWYw4eih79ow+tcF8Jji54Rd1taHs/msxTzm9uc1Fyefiw3PrLmQkVMb
 O3GvsZRJzg+ig0uXhIAY5EJZqGie4FudVDI6LR/WXYPsK8DE3K6nIJtYe5dOGWVAtt4+
 1EXVlvr3+91OEt0VqrOVoRAlnfWYWitOWsipW2ZCv3ogzIp2Maabq4Y/QcT5o6FQbu9Q
 utn7DJYmjQzlGM/gVy9Aw/7ZLcCcTWff1i3MZoEq/yOvzwPifnziaMaiRxaQ7mygJuTz
 J1CQ==
X-Gm-Message-State: AGRZ1gK1qkz0nCzEVnE0nxTrnkxMTjSlzghAHfX4f2AcFnPuay4QRVw4
 YnXs4J5ufiIeZoe2gOg3IjEdvrleL04=
X-Google-Smtp-Source: AJdET5eWqeMiPKYy4g+dLhAZK3QRHUe4Qv5pjYFf8P6xrvlVSdDdxMuiI/ghwvZEAYe+TnshPALWUw==
X-Received: by 2002:a24:ac53:: with SMTP id
 m19-v6mr6963607iti.147.1540713418478; 
 Sun, 28 Oct 2018 00:56:58 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j19-v6sm4671183itb.25.2018.10.28.00.56.57
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 28 Oct 2018 00:56:57 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <c87a689e-c7c8-905d-00cb-173fd6db4f94@HIDDEN>
Date: Sun, 28 Oct 2018 01:56:55 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 25550 wishlist retitle 25550 multibyte: uniq:
 special characters comparison [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.166.171 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.166.171 listed in wl.mailspike.net]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 25550 wishlist
retitle 25550 multibyte: uniq: special characters comparison




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Oct 2018 07:57:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 28 03:57:06 2018
Received: from localhost ([127.0.0.1]:46558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGfwX-0000X8-PV
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 03:57:05 -0400
Received: from mail-it1-f171.google.com ([209.85.166.171]:55727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gGfwW-0000WA-G6
 for control <at> debbugs.gnu.org; Sun, 28 Oct 2018 03:57:04 -0400
Received: by mail-it1-f171.google.com with SMTP id e17so4475724itk.5
 for <control <at> debbugs.gnu.org>; Sun, 28 Oct 2018 00:57:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=dHxUVPZ1UsbXWnM+r1KTDXgRvrbj87zXu8di/9pOMcA=;
 b=rSJe+OQDEy4Z9UWeN6sYsx4Mgb/u6OCo50gLEZDa+8gXhuNLRup1aN/lxp9jk86OEU
 INa5U/fKxIjia4OJ3EpmN/7ox2Y788ssg9WW3IGSwBlHgME8wmFvuRjWvqIu3BD93exD
 fgXf3Ns8aIXrJ+kb4dAOYZ4Ke0e2D0YOh5egulWZ+In6P2mEw/HfWvKvlDfmIYQDJmV3
 sP0xNWFDtQqWRLoZ6RCmnwgokJv28CDhgqQD+p5vNKDi3YghkGDZ2NW0SfS6sKVl9Y+g
 DPTA+lUtizA9duiWii+RdOvWRtvJz1IDBUYOdJfsSlt2AKCq+axQ+PNgwEOoW7MP0GTD
 +/Dw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=dHxUVPZ1UsbXWnM+r1KTDXgRvrbj87zXu8di/9pOMcA=;
 b=ZcEWAZKGw2ReRyU717iLT/pNfNFV2rL9wlov+ng6L8tEdv9bHmpRgVwF+ynTeyaI0l
 N2ShkPQu6CARqWYw4eih79ow+tcF8Jji54Rd1taHs/msxTzm9uc1Fyefiw3PrLmQkVMb
 O3GvsZRJzg+ig0uXhIAY5EJZqGie4FudVDI6LR/WXYPsK8DE3K6nIJtYe5dOGWVAtt4+
 1EXVlvr3+91OEt0VqrOVoRAlnfWYWitOWsipW2ZCv3ogzIp2Maabq4Y/QcT5o6FQbu9Q
 utn7DJYmjQzlGM/gVy9Aw/7ZLcCcTWff1i3MZoEq/yOvzwPifnziaMaiRxaQ7mygJuTz
 J1CQ==
X-Gm-Message-State: AGRZ1gK1qkz0nCzEVnE0nxTrnkxMTjSlzghAHfX4f2AcFnPuay4QRVw4
 YnXs4J5ufiIeZoe2gOg3IjEdvrleL04=
X-Google-Smtp-Source: AJdET5eWqeMiPKYy4g+dLhAZK3QRHUe4Qv5pjYFf8P6xrvlVSdDdxMuiI/ghwvZEAYe+TnshPALWUw==
X-Received: by 2002:a24:ac53:: with SMTP id
 m19-v6mr6963607iti.147.1540713418478; 
 Sun, 28 Oct 2018 00:56:58 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 j19-v6sm4671183itb.25.2018.10.28.00.56.57
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 28 Oct 2018 00:56:57 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <c87a689e-c7c8-905d-00cb-173fd6db4f94@HIDDEN>
Date: Sun, 28 Oct 2018 01:56:55 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: severity 25550 wishlist retitle 25550 multibyte: uniq:
 special characters comparison [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.166.171 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.166.171 listed in wl.mailspike.net]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 25550 wishlist
retitle 25550 multibyte: uniq: special characters comparison





Last modified: Sun, 28 Oct 2018 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.